---
updatedAt: 2026-05-15T17:43:31.000Z
agentTools:
  projectIndex: https://developer.maximizer.com/llms.txt
---

# Schema

**Get all supported objects**

Use the `SchemaRead` method to query the structure or metadata of entities in the database.

```json js
// POST https://api.maximizer.com/octopus/Read
// Authorization: Bearer <token>
{
    "Schema": {
        "Scope": {
            "Fields": 1
        },
        "Criteria": {
            "SearchQuery": {
                "Key": {
                    "$TREE": "/"
                }
            }
        }
    },
    "Compatibility": {
        "SchemaObject": "1.0"
    }
}
```

**Get all supported properties of schema**

Use the `SchemaRead` method to query the structure or metadata of entities in the database.

```json js
// POST https://api.maximizer.com/octopus/Read
// Authorization: Bearer <token>
{
    "Schema": {
        "Scope": {
            "Fields": 1
        },
        "Criteria": {
            "SearchQuery": {
                "Key": {
                    "$TREE": "/Schema"
                }
            }
        }
    },
    "Compatibility": {
        "SchemaObject": "1.0"
    }
}
```

**Get all supported properties of AbEntry**

Use the `SchemaRead` method to query the structure or metadata of entities in the database.

```json js
// POST https://api.maximizer.com/octopus/Read
// Authorization: Bearer <token>
{
    "Schema": {
        "Scope": {
            "Fields": 1
        },
        "Criteria": {
            "SearchQuery": {
                "Key": {
                    "$TREE": "/AbEntry"
                }
            }
        }
    },
    "Compatibility": {
        "SchemaObject": "1.0"
    }
}
```